<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<cep xmlns="http://camitk.imag.fr/cepcoreschema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://camitk.imag.fr/cepcoreschema Cep.xsd">
  <name>Yet another example of CEP</name>
  <contact>
    <email>Emmanuel.Promayon@univ-grenoble-alpes.fr</email>
  </contact>
  <description>This CEP contains a new type of component and an action that can do something with it.
This test the link between an action and a component defined in the same CEP.</description>
  <actionExtensions>
    <actionExtension>
      <name>Another Example Of An Action Extension</name>
      <description>This extension description is really useless.</description>
      <actions>
        <action>
          <name>DoSomethingOnSpecific</name>
          <description>This description is void.</description>
          <component>SpecificMeshBasedComponent</component>
          <classification>
            <family>Testing CepGenerator</family>
          </classification>
          <parameters>
            <parameter defaultValue="100.0" description="Testing double" editable="true" name="testDouble" type="double" unit=""/>
          </parameters>
        </action>
        <action>
          <name>OnlyOneVec3D</name>
          <description>Check compilation of an action with only a QVector3D parameter (check bug#189).</description>
          <component></component>
          <classification>
            <family>Testing CepGenerator</family>
          </classification>
          <parameters>
            <parameter defaultValue="QVector3D(0.0, 0.0, 0.0)" description="test 3D vector" editable="true" name="testVector3D" type="QVector3D" unit=""/>
          </parameters>
        </action>
      </actions>
      <dependencies>
        <dependency name="specificcomponent" type="component"/>
      </dependencies>
    </actionExtension>
  </actionExtensions>
  <componentExtensions>
    <componentExtension>
      <name>Specific component</name>
      <description>This extension description a new / specific component</description>
      <components>
        <component>
          <name>SpecificMeshBasedComponent</name>
          <description>My description is useless...</description>
          <representation>Mesh</representation>
          <properties>
            <parameter defaultValue="false" description="Testing bools" editable="true" name="testBool" type="bool" unit=""/>
            <parameter defaultValue="QColor(255, 255, 255, 255)" description="Testing color" editable="true" name="testColor" type="QColor" unit=""/>
            <parameter defaultValue="QVector3D(0.0, 0.0, 0.0)" description="test 3D vector" editable="true" name="testVector3D" type="QVector3D" unit=""/>
          </properties>
          <fileSuffix>specific</fileSuffix>
        </component>
      </components>
    </componentExtension>
  </componentExtensions>
</cep>
